﻿using static AsCameraXMAUIDemo.CameraView;

namespace AsCameraXMAUIDemo;

public partial class InformationPage : ContentPage
{
    private AsCameraXManager formManager;
    public InformationPage()
    {
        InitializeComponent();
        formManager = AsCameraXManager.sharedInstance();
    }
    protected override void OnAppearing()
    {
        base.OnAppearing();
        try
        {
            dllAsCameraLabel.Text = formManager.GetAsBarcodeSDKDLL();
            dllAsLicenseLabel.Text = formManager.GetAsLicenseSDKDLL();
            appLabel.Text = "Version:" + formManager.GetAPPVersion() + "  Build:" + formManager.GetAPPBuild();
            asBarcodeSDKLabel.Text = formManager.GetAsBarcodeSDKVersion();
            asLicenseSDKLabel.Text = formManager.GetAsLicenseSDKVersion();
        }
        catch { }
      
    }
}
