﻿namespace AsCameraXMAUIDemo;

public partial class App : Application
{
	public App()
	{
		InitializeComponent();
        if (!Preferences.ContainsKey("AsCameraXMAUIDemo"))
        {
            Preferences.Set("AsCameraXMAUIDemo", true);
            if (!Preferences.ContainsKey("beep"))
            {
                Preferences.Set("beep", "true");
            }
            if (!Preferences.ContainsKey("vibration"))
            {
                Preferences.Set("vibration", "true");
            }
            if (!Preferences.ContainsKey("trigger_mode"))
            {
                Preferences.Set("trigger_mode", "true");
            }
        }
        NavigationPage navigationPageStart = new NavigationPage(new MainPage());
        navigationPageStart.BarTextColor = Color.FromRgba(0, 0, 0, 255);
        navigationPageStart.BarBackgroundColor = Color.FromRgba(255, 255, 255, 255);
        MainPage = navigationPageStart;
    }
}

