﻿using System;
using System.ComponentModel;
using Com.Asreader.Ascameraxsdk;

namespace AsCameraXMAUIDemo;
public class CameraCropViewModel : INotifyPropertyChanged
{
    private IList<AsCameraXResult> currentResultList;
    public IList<AsCameraXResult> CurrentResultList
    {
        get => currentResultList;
        set
        {
            currentResultList = value;
            OnPropertyChanged(nameof(CurrentResultList));
        }
    }

    public CameraCropViewModel()
    {
    }

    public event PropertyChangedEventHandler PropertyChanged;

    protected virtual void OnPropertyChanged(string propertyName)
    {
        PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
    }
}

