﻿namespace AsCameraXMAUIDemo;

public partial class SettingsPage : ContentPage
{
    public SettingsPage()
    {
        InitializeComponent();
        string beep = Preferences.Get("beep", "true");
        if (beep == "true")
        {
            BeepSwitch.IsToggled = true;
        }
        else
        {
            BeepSwitch.IsToggled = false;
        }
        string vibration = Preferences.Get("vibration", "true");
        if (vibration == "true")
        {
            VibrationSwitch.IsToggled = true;
        }
        else
        {
            VibrationSwitch.IsToggled = false;
        }
    }
    void OnToggledBeep(object sender, ToggledEventArgs e)
    {
        string beep = e.Value ? "true" : "false";
        Preferences.Set("beep", beep);
    }
    void OnToggledVibration(object sender, ToggledEventArgs e)
    {
        string vibration = e.Value ? "true" : "false";
        Preferences.Set("vibration", vibration);
    }
}
